## ECanvas ECanvas |

## Functions

void | (*ECanvasItemReflowFunc) ()
void | (*ECanvasItemSelectionFunc) ()
void | (*ECanvasItemGrabCancelled) ()
GtkWidget * | e_canvas_new ()
void | e_canvas_item_grab_focus ()
void | e_canvas_item_request_reflow ()
void | e_canvas_item_request_parent_reflow ()
void | e_canvas_item_set_reflow_callback ()
gint | e_canvas_item_grab ()
void | e_canvas_item_ungrab ()

## Types and Values

| ECanvasSelectionInfo

## Description

## Functions

### ECanvasItemReflowFunc ()

    void
    (*ECanvasItemReflowFunc) (GnomeCanvasItem *item,
                              gint flags);

`ECanvasItemReflowFunc` is deprecated and should not be used in newly-written code.

### ECanvasItemSelectionFunc ()

    void
    (*ECanvasItemSelectionFunc) (GnomeCanvasItem *item,
                                 gint flags,
                                 gpointer user_data);

`ECanvasItemSelectionFunc` is deprecated and should not be used in newly-written code.

### ECanvasItemGrabCancelled ()

    void
    (*ECanvasItemGrabCancelled) (ECanvas *canvas,
                                 GnomeCanvasItem *item,
                                 gpointer data);

`ECanvasItemGrabCancelled` is deprecated and should not be used in newly-written code.

### e_canvas_new ()

    GtkWidget *
    e_canvas_new (void);

`e_canvas_new` is deprecated and should not be used in newly-written code.

### e_canvas_item_grab_focus ()

    void
    e_canvas_item_grab_focus (GnomeCanvasItem *item,
                              gboolean widget_too);

`e_canvas_item_grab_focus` is deprecated and should not be used in newly-written code.

Makes the specified item take the keyboard focus, so all keyboard events will be sent to it. If the canvas widget itself did not have the focus and `widget_too` is `TRUE`, it grabs that focus as well.

#### Parameters

item | A canvas item. |
widget_too | Whether or not to grab the widget-level focus too |

### e_canvas_item_request_reflow ()

    void
    e_canvas_item_request_reflow (GnomeCanvasItem *item);

`e_canvas_item_request_reflow` is deprecated and should not be used in newly-written code.

### e_canvas_item_request_parent_reflow ()

    void
    e_canvas_item_request_parent_reflow (GnomeCanvasItem *item);

`e_canvas_item_request_parent_reflow` is deprecated and should not be used in newly-written code.

### e_canvas_item_set_reflow_callback ()

    void
    e_canvas_item_set_reflow_callback (GnomeCanvasItem *item,
                                       ECanvasItemReflowFunc func);

`e_canvas_item_set_reflow_callback` is deprecated and should not be used in newly-written code.

### e_canvas_item_grab ()

    gint
    e_canvas_item_grab (ECanvas *canvas,
                        GnomeCanvasItem *item,
                        guint event_mask,
                        GdkCursor *cursor,
                        GdkDevice *device,
                        guint32 etime,
                        ECanvasItemGrabCancelled cancelled,
                        gpointer cancelled_data);

`e_canvas_item_grab` is deprecated and should not be used in newly-written code.

### e_canvas_item_ungrab ()

    void
    e_canvas_item_ungrab (ECanvas *canvas,
                          GnomeCanvasItem *item,
                          guint32 etime);

`e_canvas_item_ungrab` is deprecated and should not be used in newly-written code.

## Types and Values

### ECanvasSelectionInfo

    typedef struct {
    	GnomeCanvasItem *item;
    	gpointer         id;
    } ECanvasSelectionInfo;

`ECanvasSelectionInfo` is deprecated and should not be used in newly-written code.